Introduction

Welcome

Welcome to Vectir. Vectir is an easy to use software utility that allows you to remotely control your favourite media player and control other audio/visual features of your PC. It works with popular hardware devices such as the USB-UIRT and Tira infrared transcievers.

Features

Vectir currently supports control of the following media player applications:

  • Windows Media Player
  • Winamp
  • iTunes
Plugins may have been developed for other media players since this help document was published. Please visit the vectir website to see if any additional media players are supported.

Vectir also supports remote control of other operating system functions including the following:

  • Mouse cursor movement and mouse button click
  • Master and wave sound control
  • PC Shutdown
  • PC Standby
  • User log off
  • Screen saver on/off
  • Enable/disable IR control
  • Enable/disable command groups
  • OSD (On Screen Display) of button commands and groups enabled/disabled

Using Vectir

Please view the Getting Started page if this is the first time you have used Vectir. Otherwise choose from one of the following chapters or select a topic from the contents.

  • Commands and Groups
  • Application Control
  • System Commands
  • Hardware
  • Settings


Getting Started

1. Setting up your Hardware

Before you attempt to setup any remotely controlled commands, you will need to setup your hardware. Please view the hardware setup topic for information about setting up your hardware.

2. User interface Overview

Before you setup some commands, have a quick look at the user interface overview topic to familiarize yourself with Vectirs user interface.

3. Setting up Commands

After your hardware is succesfully setup, you may setup some commands and start using Vecitr. Please view the command setup topic for information about setting up Vectir commands.

4. Useful Tips

Take a look at the Useful Tips topic if you wish to learn about some features that may come in handy when using Vectir.


Hardware Setup

Setting up your Hardware

1. Install hardware drivers

The first thing you will need to do before you can use your hardware is to setup the hardware device drivers. The instructions for the device driver setup will differ between the different hardware devices that Vecitr supports. For this reason, it is recommended that the driver setup instructions supplied with your hardware are followed.

2. Test your hardware

a. Close Vectir, plug your hardware device into an available USB port then open Vectir again. Expand the Hardware node of the Setup panel and locate the setup option for your hardware device.

b. Open the setup dialog for your hardware by double clicking on the hardware icon. Alternatively, you can click on the hardware icon then on the 'Setup' button. The setup dialog for your hardware should now be visible. The USB-UIRT dialog is displayed below as an example.

c. Verify that Vectir has successfully connected to your hardware device. The connection state for the USB-UIRT and Tira devices, is indicated by the "Connection State" LED on hardware setup dialog. If the LED is green, it means that Vectir has successfully connected to your hardware device. If the LED is red, it means that Vectir has not been able to connect to your hardware device.
If the LED is red and you are using the Tira device, it may mean that the wrong COM port is selected. Select the 'Settings' tab and make sure that the COM port matches the COM port that your Tira device was installed on.

d. Try sending some data to your hardware from a remote control, or other device supported by your hardware. The received data should show up in the data text box as displayed below for the USB-UIRT device. If some data is received, it means that your hardware is successfully setup and ready to use!

e. View the command setup page to learn how to setup some commands and start using Vectir.


User Interface Overview

A screenshot of Vectir's main window is displayed below:

Main Toolbar

The following icons are available on the main toolbar:

The play button enables Vectir and the stop button disables Vectir.
Creates an empty command group.
Creates an empty command (i.e. it has no output command and no hardware event assigned).
The icon with the green play button will allow you to test a selected command without pressing a button on your remote.

Commands Panel

The Commands panel is situated on the left hand side of the main window. This panel is responsible for displaying all command groups and commands that are setup. Commands and command groups can be enabled, disabled, renamed or deleted from this panel.

Setup Panel

The Setup panel is situated on the right hand side of the main window. The top half of this panel holds a tree view that shows all available setup options. The bottom half of this panel lets you control how commands are setup.

Status bar

Status text is displayed in the lower left hand corner. This text will change to show the name of commands as they are run. A status LED is displayed in the lower right hand corner. If the LED is green it means that Vectir is enabled, if the LED is red it means that Vectir is disabled.

View the command setup topic if you now wish to setup some commands.


Command Setup

Setting up Commands

Please Note: Before you can setup some commands, the hardware device you intend to use with Vectir will need to be connected and working. If you have not setup your hardware yet, please view the hardware setup topic.

Introduction

Vectir stores commands in command groups. Command groups are visible as folders on the Commands panel. If you want a more in depth introduction to Vectir commands and groups, please view the Commands and Groups introduction topic.
Otherwise, you can dive straight in and skip to the "Setting up Application Commands" section below.

Setting up Application Commands

For this example, some commands will be setup for the Winamp application. The instructions will also work for iTunes and Windows Media player so you may choose these applications if you wish.

a. Check that your hardware is connected and working.

b. Make sure that Vectir is enabled by checking that the LED at the lower right hand corner of Vectir's main window is green. If the LED is red, please press the green 'Play' button on the main toolbar.

c. Make sure that the "Create new group" radio button is checked in the "Setup Mode" group box on the Setup panel. This option means that Vectir is going to create a command group for our selected application.

d. Expand the applications node of the 'Setup' panel and locate the icon for the application you wish to control. Vectir's main window should now look like the image displayed below. Note the green LED at the lower right hand corner and the 'check' in the "Create new group" radio button.

e. Open the setup dialog for your chosen application by double clicking on the applications icon. Alternatively, you may click once on the applications icon then press the 'Setup' button. The setup dialog for your application should now be displayed. The setup dialog for the Winamp application is shown here as an example.

f. Click once on the 'Play/Pause' command button. The event learn dialog should load. See below:

g. Press a button on your remote that you wish to use as the 'Play/Pause' button. The following "Event Saved" dialog should now be visible if the event data was successfully received from your hardware.

h. Repeat steps f and g for the "Next Track", "Previous Track", "Volume Up" and "Volume Down" commands. You may choose other commands if you wish. Press the 'OK' button on the applications setup dialog when finished. The Commands panel should now show a command group for your application that holds all of the commands you just setup. If you followed the Winamp example, the commands panel should match the following image:

i. You may now test your commands by pressing the buttons on your remote that you used during the setup. If your target application is not already open, Vectir will attempt to open it when the first command is received.


Useful Tips

This page describes some useful features that may come in handy when using Vectir.

Help Button

The "Show Button Name" command available from the Vectir Control setup option can be used as a 'help' button on your remote control. This command works by using the On Screen Display to show the name of the next command received. If you forget what command is assigned to a certain button on your remote, press the 'help' button followed by the button for which you wish to show the command name.

Profile Mode

Profile mode lets you use the same buttons on your remote to control different applications or features. In profile mode, different command groups are remotely enabled/disabled to switch between different profiles. View the Vectir Control topic for instructions on how to use profile mode.

Testing Commands

The "Run Selected Command" item on the main toolbar (play button over command icon) lets you test individual commands without any hardware attached. To test a command, simply select the command you wish to test and press the "Run Selected Command" button. The F9 function key also runs selected commands.

Command Properties Window

The Command Properties Window shows useful information about each command you setup. The command enable delay can also be adjusted from this window. The command enable delay adjustment can come in very useful if you find that your commands are responding too slowly or too quickly. This enable delay for each command may need to be tuned to your remote control.


Commands and Groups

Introduction to Commands and Groups

Vectir groups commands into the following two basic categories:

  • Application Commands
  • System Commands

Application commands apply to software applications that run on your computer such as Winamp, iTunes and Windows Media Player.
System commands apply to various features of your operating system, such as shutting down your computer or adjusting the master sound volume.

Vectir commands are controlled by hardware inputs referred to as 'Events'. An event is stored with each command during setup. When a new event is received from a connected hardware device, Vectir will search all commands until a matching event is found. When a match is found, Vectir will run the command.

Vectir stores commands in command groups. Command groups may be enabled/disabled either manually or by remote control. Command groups that you have created will be visible as folders under the 'Commands' panel on Vectir's main window.

Vectir supports the following command setup modes:

  • Create new group - Vectir will automatically create a command group for the application or system setup option you select
  • Add commands to selected group - Vectir will add commands to the command group that you select from the 'Commands' panel
  • Add to selected command - Vectir will store a command to a command node that you select from the 'Commands' panel.

The following image shows a command group for the Winamp application and all of the commands that it holds:

The following topics relating to Vectir commands and groups are available in this chapter:

  • Creating Commands and Groups
  • Editing Commands and Groups
  • Enabling/Disabling Commands and Groups
  • Command Properties Window
  • Export and Import


Creating Commands and Groups

Automatically creating Commands and Groups

Commands and groups can be setup automatically when the setup mode is set to "Create new group". Command items can also be setup automatically when the setup mode is set to "Add commands to selected group".

If the "Learn event on setup" checkbox is ticked, you may setup the buttons on your remote control that you wish to use as you are setting up your commands.

To automatically setup a command group and commands, follow these steps:

  1. Set the setup mode to "Create new group"
  2. If you wish to setup the buttons on your remote at the same time, tick the "Learn event on setup" check box.
  3. Open the setup dialog for your required application or system control option. (Double click on the icon in the 'Setup' panel or click once on the icon in the setup panel then press the 'Setup' button)
  4. Click on the commands that you wish to setup. If the "Learn event on setup" option is selected, follow the instructions on screen to setup your remote buttons.
  5. Click the 'OK' button on the setup dialog. You should now see a command group in the 'Commands' panel that holds all of the commands that you just setup.

To automatically setup commands and add them to an existing group, follow these steps:

  1. Set the setup mode to "Add commands to selected group"
  2. Select the destination group in Commands panel by clicking on it once
  3. Open the setup dialog for your required application or system control option. (Double click on the icon in the 'Setup' panel or click once on the icon in the setup panel then press the 'Setup' button)
  4. Click on the commands that you wish to setup. If the "Learn event on setup" option is selected, follow the instructions on screen to setup your remote buttons.
  5. Click the 'OK' button on the setup dialog. The destination group that you selected should now hold all of the commands that you just setup.

If the "Learn event on setup" mode was not enabled during setup, you can assign buttons from your remote to each command by right clicking on the command and selecting "Learn Event Data". When the "Learn Event" dialog loads, press the button on your remote that you wish to control the selected command.

Manually creating Commands and Groups

An empty command group can be created by pressing the "New Group" button on the main toolbar. New groups can also be created by selecting the "New Group" option from the Edit menu or by pressing the Ctrl+Shift+G key combination.

An empty command node can be added to a group, by selecting the group then pressing the "New Command" button on the main toolbar. New command nodes can also be created by selecting the "New Command" option from the Edit menu or by pressing the Ctrl+Shift+N key combination.

To assign a command to an empty command node, follow these steps:

  1. Create and empty command node
  2. Set the command setup mode to "Add to selected command"
  3. Click on the empty command node to select it as the setup destination
  4. Open the setup dialog for your required application or system control option. (Double click on the icon in the 'Setup' panel or click once on the icon in the setup panel then press the 'Setup' button)
  5. Click once on the required command. If the "Learn event on setup" option is selected, follow the instructions on screen to setup the remote button you wish to control the command.
  6. Click the 'OK' button on the setup dialog. Right click on the command node and select the properties option. The 'Output' property should show the name of the command you just setup.


Editing Commands and Groups

Rename

To rename a command or group, select the item you wish to rename and press the F2 key. The command or group node text should enter edit mode. Type in the new text and press the return key when you are finished.

Delete

To delete a group or command, select the item you wish to delete and press Ctrl+Del. Please be aware that there is currently no 'undo' option in Vectir, so if you delete a group or command it will be permanently lost. A confirmation dialog will pop up to confirm that you wish to permanently delete the group or command.

Copy and Paste

Groups and commands can be copied and pasted using the Ctrl+C and Ctrl+V shorcut keys. To copy a group, select the group and press Ctrl+C. To paste a copy of the group into the 'Commands' panel treeview, press Ctrl+V.

To copy a command, select the command and press Ctrl+C. To paste the command, select the destination group that you would like to receive the command and press Ctrl+V.

The copy and paste commands are also available from the 'group' right click context menu and the 'commands' right click context menu. Alternatively, you may use the copy and paste options from the edit menu.


Enabling/Disabling Commands and Groups

To disable a group, select the group you wish to disable and press Ctrl+D. The group text and the text for all of the commands in the group should be grayed out and have the text "Disabled" appended. You can also disable a group by right clicking on the group and selecting 'Disable' from the group context menu that pops up.

To enable a group, select the group you wish to enable and press Ctrl+E. If text for the group name and all of the commands in the group should now return to their original state (i.e. not grayed out and without the "Disabled" text). You can also enable a group by right clicking on the group and selecting 'Enable' from the group context menu that pops up.

Individual commands can also be enabled/disabled using the same shortcut keys that were used to enable/disable groups. Press Ctrl+D to disable a selected command and Ctrl+E to enable a selected command.

Command groups can also be enabled/disabled by remote control. Please view the Vectir control topic to learn how to remotely enable/disable command groups. This can be very useful when you wish to use the same remote control to control multiple applications.


Command Properties Window

The command properties window shows useful information about each command. To view the command properties window, right click on a command and select 'Properties'. Alternatively you may press Ctrl+P to bring up the command properties window.

An example of the command properties window is displayed below for a Winamp Play/Pause command:

All of the properties from the command properties window are displayed below:

  • Name - This propery refers to the name of the command. This is editable from the commands panel.
  • State - Enabled or Disabled.
  • Event Source - Shows the name of the hardware device or other event source that is assigned to this command.
  • Output - Shows the name of the output command.

Enable Delay

This is a very important property that is directly editable from this window. This property determines how long Vectir should wait after this command is run before accepting the commands trigger event again.

This property is edited in milliseconds and the default value for most application commands is 500ms (half of a second). For volume commands, or mouse cursor movement the default value is 0ms. This ensures a fast response time.

The main purpose of this property is to prevent commands being run multiple times for each button press from an IR remote control. This is because each time you press a button on your remote control, the IR signal is usually transmitted multiple times.

If you find that a command is a bit slow to respond, you may need to reduce the enable delay.

For commands that require a fast response time and rely on remote buttons being held down, volume for example, it is recommended that the enable delay is set to 0ms.

If your commands are running multiple times for each button press, you may need to increase the enable delay.


Export and Import

Overview

Vectir supports export and import functionality for command groups. Currently, the export function only works for all command groups, i.e. the exported file will hold all command groups that were available at the time of the export. The file format for export and import files is *.vdf (Vectir Data File).

Export

The export option lets you create a backup of all of your command groups to a Vectir Data File *.vdf.

To export all command groups to a *.vdf file, select File > Export, enter a file name then click Save.
The default export location is My Documents > Vectir.

Import

To import all groups from a previously exported *.vdf file, select File > Import, select the *.vdf file then click Open. All of the groups from the *.vdf file should now be available on the commands panel.


Application Control

Introduction

This chapter holds a help topic for each application that Vectir currently supports. All of the applications that Vectir supports are available under the 'Applications' option on the 'Setup' tree view. The command setup topic provides a good introduction to setting up application commands.

Most of the instructions and commands for the media player applications are very similar. They each have their own help topic though as there are some subtle differences between them.

The topic called Vectir control describes remotely controlling various features of the Vectir application itself. Some very useful features are described in this help topic.

Available applications

Links to the help topics for all applications that Vectir supported at the time that this help documentation was published are listed below. Please visit the vectir website to see if any additional media players are supported.

  • iTunes
  • Vectir control
  • Winamp
  • Windows Media Player


iTunes

Introduction

This page describes the iTunes application control supported by Vectir. The iTunes application support is provided by the iTunes plugin, iTunes.dll. The latest version of this plugin is available on the vectir website. The version number of the iTunes plugin is available on the 'About' tab of the iTunes setup dialog.

To update to a newer version of the iTunes plugin, follow these steps:

  • Download the latest version of the iTunes plugin from the Vectir website.
  • Close Vectir.
  • Locate the Vectir install location and open the Vectir\Plugins\Application folder.
  • Replace the existing iTunes.dll file with the newer one that you have just downloaded.
  • Open Vectir again and the updated iTunes plugin should be ready to use.

iTunes Commands

All of the iTunes commands that are currently supported are listed below:

General commands

  • Play/Pause - Starts playback of the current track if iTunes is stopped or paused. Pauses playback if a track is currently playing.
  • Stop - Stops playback of a currently playing track.
  • Next Track - Starts playback of the next track in the current playlist.
  • Prev Track - Starts playback of the previous track in the current playlist.
  • Toggle Repeat - Toggles the playlist repeat state between play once, repeat playlist or repeat item.
  • Toggle Shuffle - Turns shuffle on or off.
  • Volume Up - Turns the iTunes volume up.
  • Volume Down - Turns the iTunes volume down.
  • Preset Volume 1 - Sets the iTunes volume to a user defined volume.
  • Preset Volume 2 - Sets the iTunes volume to a user defined volume.
  • Mute - Mutes iTunes.
  • Toggle Visuals - Turns iTunes visualizations on/off.
  • Window Min/Max - Minimizes or maximizes the iTunes application window.
  • Close iTunes - Closes the iTunes application.

Playlist commands

  • Load Playlist - Starts playback of a selected playlist. A dialog will load that lists all of the available iTunes playlists to choose from. This command can be setup multiple times as long as a different playlist is selected each time
  • Previous Playlist - Starts playback of the previous playlist in the iTunes playlist collection.
  • Next Playlist - Starts playback of the next playlist in the iTunes playlist collection.


Vectir Control

Introduction

This topic describes remote control of various features the Vectir application. All of the Vectir control commands that are available are outlined below.

Commands

  • Enable/Disable Vectir - Enables/Disables remote control of Vectir. This is the only command that will still work if Vectir is disabled.
  • Show Button Name - Used to display the name of the next command received in the on screen display window. This command can be used to setup a 'help' button on your remote that can be used to display the command names of other buttons. If you forget which command a button is for, press the 'help' button followed by the button for which you wish to find out the command name.
  • Enable Next Group - Enables the next command group in profile mode. See the Profile mode section below.
  • Enable Previous Group - Enables the previous command group in profile mode. See the Profile mode section below.
  • Enable/Disable Group - Enables/Disables a selected command group. A dialog will load when you setup this command that lets you choose an existing command group to associate with this command.

Profile mode

Vectir's profile mode lets you use a single remote control to control multiple applications. In profile mode there is only one command group enabled at one time. The only exception to this rule is that the command group called "Vectir Control" remains enabled at all times. The Enable Next Group and Enable Previous Group commands described above are intended to be used in profile mode. These commands let you enable different remote "profiles". Whenever the next or previous group is enabled, a new profile is in enabled.

Follow the steps below to enable and use profile mode:

  • Enable the "Show group name" setting under Tools - Settings - On Screen Display.
  • Set the setup mode to "Create new group".
  • Open the "Vectir Control" setup dialog from the setup panel.
  • Setup the Enable Next Group and Enable Previous Group commands. Click on 'OK' to close the dialog. There should now be a group called "Vectir Control" in the commands panel. This group will always be enabled while in profile mode, i.e. the Enable Next Group and Enable Previous Group commands will not affect this group.
  • Disable all command groups except for the "Vectir Control" group and one other group that you wish to hold the first active profile.
  • Send the Enable Next Group and Enable Previous Group commands to switch between the other profiles. If the "Show group name" setting is enabled, the on screen display will show the name of each group (profile) as they are enabled. This way you will know which profile is active, or perhaps which application your remote is controlling.


Winamp

Introduction

This page describes the Winamp application control supported by Vectir. The Winamp application support is provided by the Winamp plugin, Winamp.dll. The latest version of this plugin is available on the vectir website. The version number of the Winamp plugin is available on the 'About' tab of the Winamp setup dialog.

To update to a newer version of the Winamp plugin, follow these steps:

  • Download the latest version of the Winamp plugin from the Vectir website.
  • Close Vectir.
  • Locate the Vectir install location and open the Vectir\Plugins\Application folder.
  • Replace the existing Winamp.dll file with the newer one that you have just downloaded.
  • Open Vectir again and the updated Winamp plugin should be ready to use.

Winamp Commands

All of the Winamp commands that are currently supported are listed below:

General commands

  • Play/Pause - Starts playback of the current track if Winamp is stopped or paused. Pauses playback if a track is currently playing.
  • Stop - Stops playback of a currently playing track.
  • Next Track - Starts playback of the next track in the current playlist.
  • Prev Track - Starts playback of the previous track in the current playlist.
  • Fwd 10 Tracks - Jumps forwards 10 tracks in the current playlist
  • Back 10 Tracks - Jumps back 10 tracks in the current playlist
  • Volume Up - Turns the Winamp volume up.
  • Volume Down - Turns the Winamp volume down.
  • Preset Volume 1 - Sets the Winamp volume to a user defined volume.
  • Preset Volume 2 - Sets the Winamp volume to a user defined volume.
  • Toggle Repeat - Toggles the playlist repeat state between play once, repeat playlist or repeat item.
  • Toggle Shuffle - Turns shuffle on or off.
  • Mute - Mutes Winamp.
  • Toggle Visuals - Turns Winamp visualizations on/off.
  • Window Min/Max - Minimizes or maximizes the Winamp application window.
  • Full Screen On/Off - Turns full screen mode on or off for video playback.
  • Close Winamp - Closes the Winamp application.

Playlist commands

  • Load Playlist - Starts playback of a selected playlist. A "file open" dialog will load that lets you select an existing Winamp playlist file (*.m3u). This command can be setup multiple times as long as you select a different *.m3u file each time.
  • Set Playlists Folder - Loads a "folder browser" dialog that lets you select a folder that holds Winamp playlist files (*.m3u). The selected folder will be used for the "Next Playlist" and "Previous Playlist" commands.
  • Previous Playlist - Starts playback of the previous playlist in the folder selected by the "Set Playlists Folder" command.
  • Next Playlist - Starts playback of the next playlist in the folder selected by the "Set Playlists Folder" command.


Windows Media Player

Introduction

This page describes the Windows Media Player application control supported by Vectir. The Windows Media Player application support is provided by the Windows Media Player plugin, WinMediaPlayer.dll. The latest version of this plugin is available on the vectir website. The version number of the Windows Media Player plugin is available on the 'About' tab of the Windows Media Player setup dialog.

To update to a newer version of the Windows Media Player plugin, follow these steps:

  • Download the latest version of the Windows Media Player plugin from the Vectir website.
  • Close Vectir.
  • Locate the Vectir install location and open the Vectir\Plugins\Application folder.
  • Replace the existing WinMediaPlayer.dll file with the newer one that you have just downloaded.
  • Open Vectir again and the updated Windows Media Player plugin should be ready to use.

Windows Media Player Commands

All of the Windows Media Player commands that are currently supported are listed below:

General commands

  • Play/Pause - Starts playback of the current track if Windows Media Player is stopped or paused. Pauses playback if a track is currently playing.
  • Stop - Stops playback of a currently playing track.
  • Next - Starts playback of the next track in the current playlist.
  • Previous - Starts playback of the previous track in the current playlist.
  • Toggle Repeat - Turns playlist repeat on or off.
  • Toggle Shuffle - Turns shuffle on or off.
  • Volume Up - Turns the Windows Media Player volume up.
  • Volume Down - Turns the Windows Media Player volume down.
  • Mute - Mutes Windows Media Player.
  • Preset Volume 1 - Sets the Windows Media Player volume to a user defined volume.
  • Preset Volume 2 - Sets the Windows Media Player volume to a user defined volume.
  • Maximize/Restore - Maximizes/restores the Windows Media Player window.
  • Minimize/Restore - Minimizes/restores the Windows Media Player window.
  • Full Screen On/Off - Turns full screen mode on or off for video playback.
  • Close WMP - Closes the Windows Media Player application.

Playlist commands

  • Load Playlist - Starts playback of a selected playlist. A dialog will load that lists all of the available Windows Media Player playlists to choose from. This command can be setup multiple times as long as a different playlist is selected each time
  • Previous Playlist - Starts playback of the previous playlist in the Windows Media Player playlist collection.
  • Next Playlist - Starts playback of the next playlist in the Windows Media Player playlist collection.


System Commands

Introduction

This chapter describes the system commands that Vectir supports. The term "system command" refers to a command that controls a certain aspect of your operating system.

All of the system control commands that Vectir supports are available under the 'System' option on the setup panel.

Available System Commands

Links to the help topics for all of the system control options that Vectir supported at the time this help documentation was published are listed below. Please visit the vectir website to see if any additional system control plugins are available.

  • Mouse control
  • Sound control
  • Windows control


Mouse Control

Overview

The vectir mouse control feature lets you use your remote control as a wireless mouse pointer. You can use your remote control to move the mouse pointer around the screen and send mouse click commands. The mouse control support is provided by the mouse plugin, Mouse.dll. The latest version of this plugin is available on the vectir website. The version number of the mouse plugin is available on the 'About' tab of the mouse setup dialog.

To update to a newer version of the Mouse plugin, follow these steps:

  • Download the latest version of the Mouse plugin from the Vectir website.
  • Close Vectir.
  • Locate the Vectir install location and open the Vectir\Plugins\System folder.
  • Replace the existing Mouse.dll file with the newer one that you have just downloaded.
  • Open Vectir again and the updated mouse plugin should be ready to use.

Mouse Commands

Mouse button commands

  • Left Click - Simulates a mouse left button click event.
  • Middle Click - Simulates a mouse middle button click event.
  • Right Click - Simulates a mouse right button click event.
  • Left Double Click - Simulates a mouse left button double click event.
  • Middle Double Click - Simulates a mouse middle button double click event.
  • Right Double Click - Simulates a mouse right button double click event.

Cursor commands

  • Move Left - Moves the mouse cursor left.
  • Move Right - Moves the mouse cursor right.
  • Move Down - Moves the mouse cursor up.
  • Move Up - Moves the mouse cursor down.

Cursor Acceleration

The cursor acceleration track-bar lets you adjust the rate at which the cursor accelerates when moving across the screen. Without cursor acceleration, the cursor would take an inconvieniently long time to move across the screen.


Sound Control

Overview

The vectir sound control feature lets you adjust the master and wave sound volumes. The sound control support is provided by the sound plugin, Sound.dll. The latest version of this plugin is available on the vectir website. The version number of the sound plugin is available on the 'About' tab of the sound setup dialog.

To update to a newer version of the Sound plugin, follow these steps:

  • Download the latest version of the sound plugin from the Vectir website.
  • Close Vectir.
  • Locate the Vectir install location and open the Vectir\Plugins\System folder.
  • Replace the existing Sound.dll file with the newer one that you have just downloaded.
  • Open Vectir again and the updated sound plugin should be ready to use.

Sound Commands

Master sound commands

  • Volume Up - Turns up the master sound volume.
  • Volume Down - Turns down the master sound volume.
  • Mute - Mutes the master sound volume.

Wave sound commands

  • Volume Up - Turns up the wave sound volume.
  • Volume Down - Turns down the wave sound volume.
  • Mute - Mutes the wave sound volume.


Windows Control

Overview

The vectir Windows control feature lets you control various features of the Windows operating system. The Windows control support is provided by the Windows control plugin, WinControl.dll. The latest version of this plugin is available on the vectir website. The version number of the Windows control plugin is available on the 'About' tab of the Windows control setup dialog.

To update to a newer version of the Sound plugin, follow these steps:

  • Download the latest version of the Windows control plugin from the Vectir website.
  • Close Vectir.
  • Locate the Vectir install location and open the Vectir\Plugins\System folder.
  • Replace the existing WinControl.dll file with the newer one that you have just downloaded.
  • Open Vectir again and the updated Windows control plugin should be ready to use.

Windows Control Commands

  • Shutdown PC - Shutsdown your PC after this command is received three times in a row. The on screen display will show how many times this command has been received and when your PC is being shutdown.
  • Standby - Puts your PC into standby after this command is received three times in a row. The on screen display will show how many times this command has been received and when your PC is being put into standby.
  • Logoff - Logs off the current user after this command is received three times in a row. The on screen display will show how many times this command has been received and when your PC is logging off.
  • Screen Saver On/Off - Turns your PC's screensaver on or off.
    Note: There is currently an issue with Windows Vista whereby the screensaver On command will only work the first time. i.e. you can turn the screensaver on and off but not on again.


Hardware

Introduction

This chapter holds a help topic for each hardware device that Vectir currently supports. All of the hardware devices that Vectir supports are available under the 'Hardware' option on the 'Setup' tree view. The hardware setup topic provides a good introduction to setting up hardware devices for Vectir.

Available hardware devices

Links to the help topics for all hardware devices that Vectir supported at the time that this help documentation was published are listed below. Please visit the vectir website to see if any additional hardware devices are supported.

  • Tira
  • USB-UIRT

The Sending IR topic describes how to capture and transmit IR signals with the USB-UIRT and Tira devices.


USB-UIRT

About

The USB-UIRT is a Universal Infrared Receiver Transmitter with a USB interface. This device lets your PC receive and transmit infrared signals. For more information on this device or to get the latest drivers, please vist the USB-UIRT website, www.usbuirt.com.

Using the USB-UIRT with Vectir

If you have not installed the drivers for your USB-UIRT, please view the hardware setup topic for instructions on driver installation and testing of your USB-UIRT.

The USB-UIRT setup dialog is available under the Hardware option on the Setup panel. When the USB-UIRT setup dialog is first opened, the General tab should be visible. See below:

The Enable and Disable radio buttons enable/disable IR reception and transmission with the USB-UIRT. If the Disable radio button is 'checked', Vectir will ignore any IR received from the USB-UIRT and will not transmit any IR to the USB-UIRT.

The Capture mode on check box will put the USB-UIRT module into capture mode when checked. See the Capture Mode section below.

The Connection State LED is green when Vectir has connected to the USB-UIRT module. If Vectir was unable to connect to the USB-UIRT, this LED will be red.

The Operating State LED is green when the USB-UIRT is enabled and red when USB-UIRT is disabled. The enabled and disabled state is controlled by the Enable and Disable radio buttons.

The text box at the bottom of this dialog, is used to show IR data received from the USB-UIRT. If the USB-UIRT is connected and enabled, any IR data that is received should be displayed in this text box.
Other information relating to the USB-UIRT such as details of detected errors may be displayed here as well.

USB-UIRT Settings

The USB-UIRT settings are available from the Settings tab on the USB-UIRT setup dialog. See below:

The Blink On Receive check box controls the IR receive LED on the USB-UIRT device. If this check box is 'checked', the USB-UIRT will blink its IR receive LED when an IR command is received.

The Blink On Transmit check box controls the IR transmit LED on the USB-UIRT device. If this check box is 'checked', the USB-UIRT will blink its IR transmit LED when an IR command is transmitted.

The Transmit repeat count setting controls how many times an IR signal is repeated for each transmission. i.e. if this setting is 1, the IR signal will only get sent once for each transmission. If this setting is 10, the IR signal will get repeated 10 times in a row for each transmission.
This setting may need to be tuned for the device that you are attempting to transmit IR to. If the device is failing to pick up the IR signal, try increasing the transmit repeat count. If the device is receiving the IR signal too many times, try reducing the transmit repeat count.

Capture Mode

When the USB-UIRT is in capture mode, it will attempt to read enough information about a received IR signal to be able to successfully re-transmit the signal. The Capture mode on check box on the General tab turns capture mode on and off.

Please view the sending IR topic for instructions on how to use the capture mode with Vectir.


Tira

About

Tira is a Transmitting Infrared Adapter with a USB interface. It can receive as well as transmit infrared signals. For more information on this device or to get the latest drivers, please vist the Tira website, www.home-electro.com.

Using Tira with Vectir

If you have not installed the drivers for your Tira, please view the hardware setup topic for instructions on driver installation and testing of your Tira.

The Tira setup dialog is available under the Hardware option on the Setup panel. When the Tira setup dialog is first opened, the General tab should be visible. See below:

The Enable and Disable radio buttons enable/disable IR reception and transmission with Tira. If the Disable radio button is 'checked', Vectir will ignore any IR received from the Tira and will not transmit any IR to Tira.

The Capture mode on check box will put the Tira module into capture mode when checked. See the Capture Mode section below.

The Connection State LED is green when Vectir has connected to the Tira module. If Vectir was unable to connect to Tira, this LED will be red.

The Operating State LED is green when Tira is enabled and red when Tira is disabled. The enabled and disabled state is controlled by the Enable and Disable radio buttons.

The text box at the bottom of this dialog, is used to show IR data received from Tira. If the Tira is connected and enabled, any IR data that is received should be displayed in this text box.
Other information relating to Tira such as details of detected errors may be displayed here as well.

Tira Settings

The Tira settings are available from the Settings tab on the Tira setup dialog. See below:

The COM Port setting should be set to the COM port that your Tira device was installed on. The correct COM port can be found by looking under windows device manager for "Tira USB IR Adapter". Under Windows XP, go to Start > Control Panel > System > Hardware > Device Manager. Open "Ports (COM & LPT) and note which COM port the device called "Tira USB IR Adapter" is installed on.
Note: If you are not using the latest version of the Tira drivers, Tira may be referred to as "USB Serial Port" under device manager.

The Transmit repeat count setting controls how many times an IR signal is repeated for each transmission. i.e. if this setting is 1, the IR signal will only get sent once for each transmission. If this setting is 10, the IR signal will get repeated 10 times in a row for each transmission.
This setting may need to be tuned for the device that you are attempting to transmit IR to. If the device is failing to pick up the IR signal, try increasing the transmit repeat count. If the device is receiving the IR signal too many times, try reducing the transmit repeat count.

Capture Mode

When Tira is in capture mode, it will attempt to read enough information about a received IR signal to be able to successfully re-transmit the signal. The Capture mode on check box on the General tab turns capture mode on and off.

Please view the sending IR topic for instructions on how to use the capture mode with Vectir.


Sending IR

Overview

This topic describes how to capture and send Infrared signals with Vectir. The instructions on this page will work with the Tira and USB-UIRT devices.

Capturing IR

The following instructions describe how to capture an IR signal ready for subsequent re-transmission.

  1. Create a new group to hold your IR send commands or select an existing group.
  2. Create an empty command node (Ctrl+Shift+N) for each button on your remote for which you wish to capture an IR signal. Press F2 to rename each IR send command to the corresponding button name on your remote or something else that indicates what the command is for.
  3. Put your IR hardware into capture mode. For the USB-UIRT or Tira devices this achieved by 'checking' the Capture Mode check box on the General tab of the setup dialog. Click on the OK button to close the setup dialog once your hardware is in capture mode.
  4. Right click on one of the empty command nodes and select Learn Event Data. The Event Learn dialog should open.
  5. Hold your remote control close (about 1 to 3cm) to the front panel of your IR hardware device. Press and hold down the button for which you wish to capture an IR signal for up to 3s. If the IR signal is successfully captured, the Event Learn dialog should change to the Event Saved dialog.
    If the signal was not successfully captured within 3s, release the button and try again, possibly holding the remote slightly closer or further away from the IR hardware device. Please refer to your hardware suppliers documentation for the recommended distance the remote should be from the receiver in capture mode.
  6. Repeat step 5 until IR signals have been captured for all required remote buttons.
  7. Take your hardware device out of capture mode by opening up the setup dialog and 'unchecking' the Capture mode check box on the General tab. Click OK to close the hardware setup dialog.
  8. Your IR signals are now captured and ready to be transmitted. To verify that each command node holds IR transmit data, right click on each command node and select Properties. If the Output property says "Transmit data", it means that an IR signal was successfully captured and saved to that command.

Sending IR

To use Vectir as a PC based IR remote control and send a captured IR signals, follow these instructions:

  1. Click once on the command node that holds the signal you wish to send.
  2. Click on the Run selected command icon (green play button over command icon) on the main toolbar to send the IR signal. If you are using the USB-UIRT module and have the Blink on Transmit setting enabled, the transmit LED should flash when the signal is being sent.
  3. Repeat the previous two steps for each IR signal that you wish to send.
  4. If the IR device you are attempting to control fails to recieve a transmitted signal, try re-capturing the IR signal and try again.


Settings

Vectir Settings

This chapter describes the available Vectir settings. Vectir's settings dialog is available under the Tools > Settings menu option. The settings dialog has a tab for General settings and On Screen Display (OSD) settings.

The following help topics describe the two categories of Vectir settings:

  • General Settings
  • On Screen Display Settings


General Settings

This page describes the Vectir settings that are available on the General tab of the settings dialog.

Settings

  • Language - English is currently the only available language for Vectir. If any new languages are supported in the future, they will be made available from this setting.
  • Run Vectir when Windows starts - Does exactly as the name implies - runs Vectir when Windows starts
  • Minimize when Windows starts - If the Run Vectir when Windows starts setting is enabled, this setting lets you minimize Vectir so it doesn't remain open on your desktop each time Windows starts up.
  • Minimize to System Tray - Minimizes Vectir to the system tray instead of the task bar.
  • Enable events when Vectir starts - Enables or disables Vectir after it is first launched. If Vectir is enabled, it will accept input events from any connected hardware devices. This setting has the same effect as the Enable Vectir and Disable Vectir options under the file menu.
  • Show splash screen - Determines if Vectir's splash screen will be displayed each time Vectir is launched. If this setting is disabled, Vectir may appear to 'hang' for a few seconds while it loads plugins and attempts to communicate with any attached hardware devices.


OSD Settings

On Screen Display Settings

About

The settings described on this page apply to the Vectir On Screen Display (OSD). They are available from the On Screen Display tab of the settings dialog.

The On Screen Display (OSD) is a special window that Vectir will pop-up to show certain events. For example, the Show button name command will use the OSD to show the names of requested buttons.

Settings

  • Select Font - Sets the OSD display font and font size.
  • Select Text Color - Sets the OSD display text color.
  • Select Background Color - Sets the OSD text background color.
  • Show group enabled - If this setting is enabled, the name of groups that are enabled by remote control will be displayed on the OSD. This lets you know which group you have just enabled.
  • Show on second monitor - If your PC has dual monitors, this setting will let you show the OSD on the second monitor.
  • Display Location - Lets you choose the position on your monitor to show the OSD. The choices are center screen, top left, top right, bottom left and bottom right.
  • Show Time - Lets you choose how long, in seconds, to show the OSD window.


Plugins

Overview

Most of Vectir's functionality is provided with plugins. A plugin can be thought of as a software module that "plugins in" to an application to provide additional functionality. Vectir's plugins are all provided with DLL (Dynamic Link Library) files.

Vectir plugins are grouped into three different classifications:

  • Application plugins - Plugins that control another software application such as Winamp.
  • System plugins - Plugins that control a certain aspect of your operatins system, such as shutting down windows.
  • Hardware plugins - Plugins that control a hardware device such as the USB-UIRT or Tira.
You will notice that each plugin classification relates to the items categories available on the setup panel.

Installing new plugins

  1. Download your new plugin
  2. Close Vectir
  3. Navigate to the Vectir install directory ("Program Files > Vectir" by default) and open the "Plugins" folder.
  4. Copy your new plugin into the appropriate folder for the type of plugin you downloaded. Replace any older versions if they exist.
  5. Re-start Vectir and your new plugin should be ready to use. A new icon should have been added to the appropriate node of the setup tree for your plugin. Double click on the icon to open your plugins setup dialog.

Note: If you have just downloaded a hardware plugin, please make sure that you have installed any required drivers for your hardware device before attempting to use it with Vectir.